[HAP-889] MavenEmbedderUtils#getMavenVersion() leaks file descriptors Created: 16/Feb/17  Updated: 25/Jun/17  Resolved: 25/Jun/17

Status: Resolved
Project: Jenkins Artifactory Plug-in
Component/s: Maven2, Maven3
Affects Version/s: 2.9.0
Fix Version/s: 2.9.2

Type: Bug Priority: High
Reporter: Arnaud Héritier Assignee: Roman Gurevitch (Inactive)
Resolution: Fixed Votes: 0
Labels: None


 Description   

Hi,

We just released a new version of lib-jenkins-maven-embedder 3.12 which is solving a file descriptor leak
https://github.com/jenkinsci/lib-jenkins-maven-embedder/blob/master/CHANGELOG.md
https://issues.jenkins-ci.org/browse/JENKINS-40621

In this release we also updated several dependencies (sisu, guice, wagon) thus take care of changes it may do on your side.

This new library is now used in the maven-plugin 2.15, you can review its dependencies updates between 2.14 and 2.15 to see what we had to change

You can contact me if you need more details

cheers


Generated at Sun Oct 20 05:51:45 UTC 2019 using JIRA 7.6.16#76018-sha1:9ed376192612a49536ac834c64177a0fed6290f5.